package com.rjconsultores.ventaboletos.vo.exportacao;

import java.util.Calendar;

import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.utilerias.StringHelper;

public class QdmpDerCabecaVo {
	
	private Integer codEmp;
	private String linha;
	private String secao;
	private Integer digVer;
	private Integer viagOrd;
	private Integer lugOrd;
	private Integer viagMul;
	private Integer lugMul;
	private Integer viagRft;
	private Integer lugRft;
	private Integer viagRfp;
	private Integer lugRfp;
	private Integer totViag;
	private Integer totLug;
	private Calendar dataHora;
	private String codOper;
	
	public QdmpDerCabecaVo(Object[] obj) {
		this.codEmp 	= obj[0]==null?0:(Integer)obj[0];
		this.linha 		= obj[1]==null?"":(String)obj[1];		
		this.viagOrd 	= obj[2]==null?0:(Integer)obj[2];
		this.lugOrd 	= obj[3]==null?0:(Integer)obj[3];
		this.viagRft 	= obj[4]==null?0:(Integer)obj[4];
		this.lugRft 	= obj[5]==null?0:(Integer)obj[5];
		this.viagRfp 	= obj[6]==null?0:(Integer)obj[6];
		this.lugRfp 	= obj[7]==null?0:(Integer)obj[7];
		this.viagMul 	= 0;
		this.lugMul		= 0;
		this.totViag    = viagOrd+viagMul+viagRft+viagRfp;
		this.totLug     = lugOrd+lugMul+lugRft+lugRfp;
		this.secao 		= "0000";
		this.digVer     = 0;
		this.codOper    = "I";

	}
	
	@Override
	public String toString() {
		StringBuilder retorno = new StringBuilder();
		retorno.append("J")
		.append(codEmp)
		.append(StringHelper.preencherStringEspacoEsquerda(linha, 10))
		.append(secao)
		.append(digVer)
		.append( StringHelper.preencherZeroEsquerda(viagOrd, 5) )
		.append( StringHelper.preencherZeroEsquerda(lugOrd, 7) )
		.append( StringHelper.preencherZeroEsquerda(viagMul, 5) )
		.append( StringHelper.preencherZeroEsquerda(lugMul, 7) )
		.append( StringHelper.preencherZeroEsquerda(viagRft, 5) )
		.append( StringHelper.preencherZeroEsquerda(lugRft, 7) )
		.append( StringHelper.preencherZeroEsquerda(viagRfp, 5) )
		.append( StringHelper.preencherZeroEsquerda(lugRfp, 7) )
		.append( StringHelper.preencherZeroEsquerda(totViag, 6) )
		.append( StringHelper.preencherZeroEsquerda(totLug, 8) )
		.append( DateUtil.getStringCurrentDate("yyyyMMddHHmm") )	
		.append(codOper);
		
		return retorno.toString();
	}

	public Integer getCodEmp() {
		return codEmp;
	}
	public void setCodEmp(Integer codEmp) {
		this.codEmp = codEmp;
	}
	public String getLinha() {
		return linha;
	}
	public void setLinha(String linha) {
		this.linha = linha;
	}
	public String getSecao() {
		return secao;
	}
	public void setSecao(String secao) {
		this.secao = secao;
	}
	public Integer getDigVer() {
		return digVer;
	}
	public void setDigVer(Integer digVer) {
		this.digVer = digVer;
	}
	public Integer getViagOrd() {
		return viagOrd;
	}
	public void setViagOrd(Integer viagOrd) {
		this.viagOrd = viagOrd;
	}
	public Integer getLugOrd() {
		return lugOrd;
	}
	public void setLugOrd(Integer lugOrd) {
		this.lugOrd = lugOrd;
	}
	public Integer getViagMul() {
		return viagMul;
	}
	public void setViagMul(Integer viagMul) {
		this.viagMul = viagMul;
	}
	public Integer getLugMul() {
		return lugMul;
	}
	public void setLugMul(Integer lugMul) {
		this.lugMul = lugMul;
	}
	public Integer getViagRft() {
		return viagRft;
	}
	public void setViagRft(Integer viagRft) {
		this.viagRft = viagRft;
	}
	public Integer getLugRft() {
		return lugRft;
	}
	public void setLugRft(Integer lugRft) {
		this.lugRft = lugRft;
	}
	public Integer getViagRfp() {
		return viagRfp;
	}
	public void setViagRfp(Integer viagRfp) {
		this.viagRfp = viagRfp;
	}
	public Integer getLugRfp() {
		return lugRfp;
	}
	public void setLugRfp(Integer lugRfp) {
		this.lugRfp = lugRfp;
	}
	public Integer getTotViag() {
		return totViag;
	}

	public void setTotViag(Integer totViag) {
		this.totViag = totViag;
	}

	public Integer getTotLug() {
		return totLug;
	}
	public void setTotLug(Integer totLug) {
		this.totLug = totLug;
	}
	public Calendar getDataHora() {
		return dataHora;
	}
	public void setDataHora(Calendar dataHora) {
		this.dataHora = dataHora;
	}
	public String getCodOper() {
		return codOper;
	}
	public void setCodOper(String codOper) {
		this.codOper = codOper;
	}
}
